## ros-jazzy-teleop-tools 1.6.0

=== debian/changelog ===
ros-jazzy-teleop-tools (1.6.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 30 Sep 2024 16:00:00 -0000

ros-jazzy-teleop-tools (1.5.1-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 01 Sep 2024 16:00:00 -0000

ros-jazzy-teleop-tools (1.5.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 31 Oct 2023 16:00:00 -0000

ros-jazzy-teleop-tools (1.4.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 27 Mar 2023 16:00:00 -0000

ros-jazzy-teleop-tools (1.3.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 22 Nov 2022 16:00:00 -0000

ros-jazzy-teleop-tools (1.2.1-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 28 Oct 2020 16:00:00 -0000

ros-jazzy-teleop-tools (1.2.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 15 Oct 2020 16:00:00 -0000

ros-jazzy-teleop-tools (1.1.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 20 Apr 2020 16:00:00 -0000

ros-jazzy-teleop-tools (1.0.2-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 09 Feb 2020 16:00:00 -0000

ros-jazzy-teleop-tools (1.0.1-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 17 Sep 2019 16:00:00 -0000

ros-jazzy-teleop-tools (1.0.0-1bookworm) bookworm; urgency=high

  * ROS2 port (#35 <https://github.com/ros-teleop/teleop_tools/issues/35>)
    * ROS2 port
    * key_teleop pkg format 3
    * port teleop_tools_msgs
    * key_teleop catch KeyboardInterrupt
    * port mouse_teleop
    * add key_teleop.yaml
    * prepare tests
    * add xmllint test
    * fix xmllint tests
    * simplify joy_teleop retrieve_config
    * remove useless class KeyTeleop
    * Fixes for dynamic topic joy publishers
    - match_command() now compares button array length to the max
    deadman button index (apples to apples)
    - match_command function now checks if any of the deadman buttons
    are depressed before returning a match
    - properly handle a std_msgs/msg/Empty 'message_value' by not
    attempting to access its value
    - utilizes iter-items to correctly index into the config dict
    for 'axis_mappings''s 'axis' and 'button' values
    - set_member() now splits according to a dash (-) rather than a
    periond (.) to be consistent with ros2 param parsing & example yaml
    - adds the correct name to setup.py for test_key_teleop.py test
    * reduce copy/pasta
  * Contributors: Jeremie Deray

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 09 Sep 2019 16:00:00 -0000

ros-jazzy-teleop-tools (0.3.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 02 Jan 2019 16:00:00 -0000

ros-jazzy-teleop-tools (0.2.6-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 05 Apr 2018 16:00:00 -0000

ros-jazzy-teleop-tools (0.2.5-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 20 Apr 2017 16:00:00 -0000

ros-jazzy-teleop-tools (0.2.4-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 29 Nov 2016 16:00:00 -0000

ros-jazzy-teleop-tools (0.2.3-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 17 Jul 2016 16:00:00 -0000

ros-jazzy-teleop-tools (0.2.2-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 23 Mar 2016 16:00:00 -0000

ros-jazzy-teleop-tools (0.2.1-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 28 Jan 2016 16:00:00 -0000

ros-jazzy-teleop-tools (0.2.0-1bookworm) bookworm; urgency=high

  * Update package.xmls
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 02 Aug 2015 16:00:00 -0000

ros-jazzy-teleop-tools (0.1.2-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 14 Feb 2015 16:00:00 -0000

ros-jazzy-teleop-tools (0.1.1-1bookworm) bookworm; urgency=high

  * Change maintainer
  * Add key_teleop to metapackage
  * Add teleop_tools metapackage
  * Contributors: Bence Magyar, Paul Mathieu

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 16 Nov 2014 16:00:00 -0000
